# ISBlockGetSize

Returns the number of blocks in the index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISBlockGetSize(IS is,PetscInt *size)

Not Collective

### Input Parameter

is -the index set

### Output Parameter

size -the number of blocks

### See Also

ISBlockGetBlockSize(), ISGetSize(), ISBlock(), ISCreateBlock()

Level:intermediate
Location:src/vec/is/impls/block/block.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/examples/tutorials/ex3.c.html
src/vec/is/examples/tutorials/ex3f90.F.html